# $Revision: 1.17 $, $Date: 2011/04/21 16:26:13 $
Summary:	Simple NUMA policy support
Summary(pl.UTF-8):	Prosta obsługa polityk NUMA
Name:		numactl
Version:	2.0.7
Release:	1
License:	LGPL v2.1 (library), GPL v2 (utilities)
Group:		Applications/System
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/%{name}-%{version}.tar.gz
# Source0-md5:	dadc81f3623475b14ca5110662ba3b04
URL:		http://oss.sgi.com/projects/libnuma/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%description -l pl.UTF-8
Prosta obsługa polityk NUMA. Pakiet zawiera program numactl do
uruchamiania innych programów z określoną polityką NUMA oraz libnuma
do przydzielania pamięci z polityką NUMA w aplikacjach.

%package devel
Summary:	Header files for libnuma library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnuma
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libnuma library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnuma.

%package static
Summary:	Static libnuma library
Summary(pl.UTF-8):	Statyczna biblioteka libnuma
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnuma library.

%description static -l pl.UTF-8
Statyczna biblioteka libnuma.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	OPT_CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# missing in make install
install numamon $RPM_BUILD_ROOT%{_bindir}
install {migratepages,migspeed,numastat}.8 $RPM_BUILD_ROOT%{_mandir}/man8

for f in `find $RPM_BUILD_ROOT%{_mandir}/man3 -type l` ; do
	%{__rm} $f
	echo '.so numa.3' > $f
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/memhog
%attr(755,root,root) %{_bindir}/migratepages
%attr(755,root,root) %{_bindir}/migspeed
%attr(755,root,root) %{_bindir}/numactl
%attr(755,root,root) %{_bindir}/numademo
%attr(755,root,root) %{_bindir}/numamon
%attr(755,root,root) %{_bindir}/numastat
%attr(755,root,root) %{_libdir}/libnuma.so.1
%{_mandir}/man8/migratepages.8*
%{_mandir}/man8/migspeed.8*
%{_mandir}/man8/numactl.8*
%{_mandir}/man8/numastat.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnuma.so
%{_includedir}/numa*.h
%{_mandir}/man3/numa.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnuma.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: numactl.spec,v $
Revision 1.17  2011/04/21 16:26:13  qboosh
- updated to 2.0.7

Revision 1.16  2011/03/28 19:08:40  arekm
- rel 2; drop move_pages.2 - is in man-pages

Revision 1.15  2010/12/31 12:19:53  qboosh
- updated to 2.0.6

Revision 1.14  2010/11/13 22:02:21  qboosh
- updated to 2.0.5
- package static library

Revision 1.13  2010/03/30 20:51:29  gotar
- upgraded to 2.0.3

Revision 1.12  2007/11/04 16:04:22  qboosh
- updated to 1.0.2

Revision 1.11  2007/08/26 23:35:03  qboosh
- updated to 1.0.1

Revision 1.10  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.8  2006/11/09 14:34:07  qboosh
- updated to 0.9.11

Revision 1.7  2006/09/12 08:10:06  qboosh
- updated to 0.9.10

Revision 1.6  2006/04/02 22:16:52  qboosh
- updated to 0.9.7

Revision 1.5  2006/02/24 21:06:54  qboosh
- updated to 0.9.3

Revision 1.4  2006/02/11 13:00:08  qboosh
- updated to 0.9.2

Revision 1.3  2006/01/12 19:12:37  qboosh
- updated to 0.9.1

Revision 1.2  2005/12/21 19:48:30  qboosh
- updated to 0.8

Revision 1.1  2005/10/31 16:25:26  qboosh
- new
